Refetch data
curl --request POST \
--url https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orderId": 123,
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"orderIdentifier": "<string>",
"orderReference": "<string>",
"orderStatus": "<string>",
"orderDate": "2023-11-07T05:31:56Z",
"exportedAt": "2023-11-07T05:31:56Z",
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"customerIdentifier": "<string>",
"customerPurchaseOrderNumber": "<string>",
"customerPurchaseOrderNumber2": "<string>",
"ssccLabel": true,
"sellerId": 123,
"warehouseId": 123,
"sellerName": "<string>",
"shopAvailableAt": "<string>",
"shopActive": true,
"shopId": 123,
"shopSystem": "<string>",
"shopSystemName": "<string>",
"deliveryAddress": {
"name1": "<string>",
"name2": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"zip": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>",
"addressIdentifier": "<string>",
"additionalIdentifiers": [
{
"identifier": "<string>",
"type": "<string>"
}
],
"latitude": 123,
"longitude": 123
},
"invoiceAddress": {
"name1": "<string>",
"name2": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"zip": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>"
},
"currency": "<string>",
"positions": [
{
"positionId": 123,
"positionIdentifier": "<string>",
"name": "<string>",
"sku": "<string>",
"customAttributes": {},
"productIdentifier": "<string>",
"variantIdentifier": "<string>",
"quantity": 123,
"lot": "<string>",
"location": "<string>",
"bundledBy": "<string>",
"unitWeight": 123,
"unitNetPrice": 123,
"unitGrossPrice": 123,
"totalWeight": 123,
"totalNetAmount": 123,
"totalGrossAmount": 123,
"expirationDate": "2023-11-07T05:31:56Z"
}
],
"fulfillmentOrders": [
{
"warehouseId": 123,
"warehouseName": "<string>",
"fulfillmentOrderId": 123,
"fulfillmentOrderIdentifier": "<string>",
"fulfillmentStatus": "<string>",
"fulfillmentConnectorStatus": "<string>",
"fulfillmentInStock": true,
"cancelled": true,
"allowPartial": true,
"rebalancing": {
"status": "REQUIRED",
"message": "<string>",
"clientResponse": "WAIT",
"missingItems": [
{
"warehouseSku": "<string>",
"missingQuantity": 123
}
]
},
"positions": [
{
"fulfillmentOrderPositionId": 123,
"orderedSku": "<string>",
"sku": "<string>",
"warehouseSku": "<string>",
"quantity": 123,
"lot": "<string>",
"location": "<string>",
"customsValue": 123,
"expirationDate": "2023-11-07T05:31:56Z",
"fulfillmentOrderPositionIdentifier": "<string>",
"bundleSku": "<string>"
}
],
"shipments": [
{
"shipmentId": 123,
"shipmentIdentifier": "<string>",
"provider": "<string>",
"trackingLink": "<string>",
"trackingLinks": [
"<string>"
],
"trackingNumber": "<string>",
"trackingNumbers": [
"<string>"
],
"shipDate": "2023-11-07T05:31:56Z",
"isUntracked": true,
"sscc": "<string>",
"predatedShipment": "2023-12-25",
"carrierPickUpDate": "2023-11-07T05:31:56Z",
"deliveryWindowStartTime": "2023-11-07T05:31:56Z",
"deliveryWindowEndTime": "2023-11-07T05:31:56Z",
"providerName": "<string>",
"numberOfPallets": 123,
"numberOfParcels": 123,
"grossWeight": 123,
"width": {
"value": 123,
"unit": "M"
},
"length": {
"value": 123,
"unit": "M"
},
"height": {
"value": 123,
"unit": "M"
},
"positions": [
{
"shipmentPositionId": 123,
"sku": "<string>",
"warehouseSku": "<string>",
"sellerSku": "<string>",
"quantity": 123,
"lot": "<string>",
"location": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"serialNumbers": [
"<string>"
],
"positionIdentifier": "<string>"
}
],
"reversed": true,
"bookedShipmentId": 123,
"expectedDeliveryDate": "2023-11-07T05:31:56Z",
"deliveryDate": "2023-11-07T05:31:56Z",
"podDate": "2023-11-07T05:31:56Z",
"groupedPositions": [
{
"warehouseSku": "<string>",
"sellerSku": "<string>",
"quantity": 123,
"lot": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"serialNumbers": [
"<string>"
]
}
],
"podDocuments": [
{
"fileName": "<string>",
"fileKey": "<string>",
"url": {
"link": "<string>"
},
"mimeType": "<string>"
}
]
}
],
"fulfillmentOrderCreated": "2023-11-07T05:31:56Z",
"inPicking": true,
"shippingServiceGroupId": 123,
"shippingServiceGroupName": "<string>",
"termsOfTrade": "DAP",
"expectedTotalWeight": 123,
"numberOfSkus": 123,
"dangerousGoodsLevel": "NON_DG"
}
],
"handlingUnits": [
{
"type": "PALLET",
"sscc": "<string>",
"carrier": "<string>",
"tracking": "<string>",
"handlingUnitIdentifier": "<string>",
"truckHandlingUnitIdentifier": "<string>",
"handlingPositions": [
{
"sscc": "<string>",
"positionIdentifier": "<string>",
"sku": "<string>",
"warehouseSku": "<string>",
"quantity": 123
}
],
"childHandlingUnits": "<array>"
}
],
"earliestDeliveryDate": "2023-12-25",
"latestDeliveryDate": "2023-12-25",
"comment": "<string>",
"transportInsuranceAmount": 123,
"cashOnDeliveryAmount": 123,
"cashOnDeliveryCurrency": "<string>",
"deliveryInstruction": "<string>",
"shippingMethodIdentifier": "<string>",
"shippingMethodName": "<string>",
"tags": [
"<string>"
],
"earliestShipDate": "2023-12-25",
"latestShipDate": "2023-12-25",
"piiDataRemoved": true,
"paymentType": "<string>",
"trackingEnabled": true,
"allowPartial": true,
"orderPriority": 123,
"fulfillmentConfirmed": true,
"entityErrors": [
{
"errorCode": "<string>",
"errorMessage": "<string>"
}
],
"customAttributes": {},
"attachments": [
{
"printerType": "LABEL_PRINTER",
"attachmentPlacement": "INSIDE_PACKAGE",
"copyCount": 2,
"filename": "<string>",
"printingType": "ORDER",
"fileKey": "<string>",
"mimeType": "<string>",
"id": 123,
"url": {
"link": "<string>"
}
}
],
"orderReference2": "<string>",
"channelId": "<string>",
"channelName": "<string>",
"channelType": "WHOLESALE"
}orders
Refetch data
Refetch and synchronize order attachments from the source system.
POST
/
orders
/
{orderId}
/
refetchOrderAttachments
Refetch data
curl --request POST \
--url https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/orders/{orderId}/refetchOrderAttachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orderId": 123,
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"orderIdentifier": "<string>",
"orderReference": "<string>",
"orderStatus": "<string>",
"orderDate": "2023-11-07T05:31:56Z",
"exportedAt": "2023-11-07T05:31:56Z",
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"customerIdentifier": "<string>",
"customerPurchaseOrderNumber": "<string>",
"customerPurchaseOrderNumber2": "<string>",
"ssccLabel": true,
"sellerId": 123,
"warehouseId": 123,
"sellerName": "<string>",
"shopAvailableAt": "<string>",
"shopActive": true,
"shopId": 123,
"shopSystem": "<string>",
"shopSystemName": "<string>",
"deliveryAddress": {
"name1": "<string>",
"name2": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"zip": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>",
"addressIdentifier": "<string>",
"additionalIdentifiers": [
{
"identifier": "<string>",
"type": "<string>"
}
],
"latitude": 123,
"longitude": 123
},
"invoiceAddress": {
"name1": "<string>",
"name2": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"zip": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>"
},
"currency": "<string>",
"positions": [
{
"positionId": 123,
"positionIdentifier": "<string>",
"name": "<string>",
"sku": "<string>",
"customAttributes": {},
"productIdentifier": "<string>",
"variantIdentifier": "<string>",
"quantity": 123,
"lot": "<string>",
"location": "<string>",
"bundledBy": "<string>",
"unitWeight": 123,
"unitNetPrice": 123,
"unitGrossPrice": 123,
"totalWeight": 123,
"totalNetAmount": 123,
"totalGrossAmount": 123,
"expirationDate": "2023-11-07T05:31:56Z"
}
],
"fulfillmentOrders": [
{
"warehouseId": 123,
"warehouseName": "<string>",
"fulfillmentOrderId": 123,
"fulfillmentOrderIdentifier": "<string>",
"fulfillmentStatus": "<string>",
"fulfillmentConnectorStatus": "<string>",
"fulfillmentInStock": true,
"cancelled": true,
"allowPartial": true,
"rebalancing": {
"status": "REQUIRED",
"message": "<string>",
"clientResponse": "WAIT",
"missingItems": [
{
"warehouseSku": "<string>",
"missingQuantity": 123
}
]
},
"positions": [
{
"fulfillmentOrderPositionId": 123,
"orderedSku": "<string>",
"sku": "<string>",
"warehouseSku": "<string>",
"quantity": 123,
"lot": "<string>",
"location": "<string>",
"customsValue": 123,
"expirationDate": "2023-11-07T05:31:56Z",
"fulfillmentOrderPositionIdentifier": "<string>",
"bundleSku": "<string>"
}
],
"shipments": [
{
"shipmentId": 123,
"shipmentIdentifier": "<string>",
"provider": "<string>",
"trackingLink": "<string>",
"trackingLinks": [
"<string>"
],
"trackingNumber": "<string>",
"trackingNumbers": [
"<string>"
],
"shipDate": "2023-11-07T05:31:56Z",
"isUntracked": true,
"sscc": "<string>",
"predatedShipment": "2023-12-25",
"carrierPickUpDate": "2023-11-07T05:31:56Z",
"deliveryWindowStartTime": "2023-11-07T05:31:56Z",
"deliveryWindowEndTime": "2023-11-07T05:31:56Z",
"providerName": "<string>",
"numberOfPallets": 123,
"numberOfParcels": 123,
"grossWeight": 123,
"width": {
"value": 123,
"unit": "M"
},
"length": {
"value": 123,
"unit": "M"
},
"height": {
"value": 123,
"unit": "M"
},
"positions": [
{
"shipmentPositionId": 123,
"sku": "<string>",
"warehouseSku": "<string>",
"sellerSku": "<string>",
"quantity": 123,
"lot": "<string>",
"location": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"serialNumbers": [
"<string>"
],
"positionIdentifier": "<string>"
}
],
"reversed": true,
"bookedShipmentId": 123,
"expectedDeliveryDate": "2023-11-07T05:31:56Z",
"deliveryDate": "2023-11-07T05:31:56Z",
"podDate": "2023-11-07T05:31:56Z",
"groupedPositions": [
{
"warehouseSku": "<string>",
"sellerSku": "<string>",
"quantity": 123,
"lot": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"serialNumbers": [
"<string>"
]
}
],
"podDocuments": [
{
"fileName": "<string>",
"fileKey": "<string>",
"url": {
"link": "<string>"
},
"mimeType": "<string>"
}
]
}
],
"fulfillmentOrderCreated": "2023-11-07T05:31:56Z",
"inPicking": true,
"shippingServiceGroupId": 123,
"shippingServiceGroupName": "<string>",
"termsOfTrade": "DAP",
"expectedTotalWeight": 123,
"numberOfSkus": 123,
"dangerousGoodsLevel": "NON_DG"
}
],
"handlingUnits": [
{
"type": "PALLET",
"sscc": "<string>",
"carrier": "<string>",
"tracking": "<string>",
"handlingUnitIdentifier": "<string>",
"truckHandlingUnitIdentifier": "<string>",
"handlingPositions": [
{
"sscc": "<string>",
"positionIdentifier": "<string>",
"sku": "<string>",
"warehouseSku": "<string>",
"quantity": 123
}
],
"childHandlingUnits": "<array>"
}
],
"earliestDeliveryDate": "2023-12-25",
"latestDeliveryDate": "2023-12-25",
"comment": "<string>",
"transportInsuranceAmount": 123,
"cashOnDeliveryAmount": 123,
"cashOnDeliveryCurrency": "<string>",
"deliveryInstruction": "<string>",
"shippingMethodIdentifier": "<string>",
"shippingMethodName": "<string>",
"tags": [
"<string>"
],
"earliestShipDate": "2023-12-25",
"latestShipDate": "2023-12-25",
"piiDataRemoved": true,
"paymentType": "<string>",
"trackingEnabled": true,
"allowPartial": true,
"orderPriority": 123,
"fulfillmentConfirmed": true,
"entityErrors": [
{
"errorCode": "<string>",
"errorMessage": "<string>"
}
],
"customAttributes": {},
"attachments": [
{
"printerType": "LABEL_PRINTER",
"attachmentPlacement": "INSIDE_PACKAGE",
"copyCount": 2,
"filename": "<string>",
"printingType": "ORDER",
"fileKey": "<string>",
"mimeType": "<string>",
"id": 123,
"url": {
"link": "<string>"
}
}
],
"orderReference2": "<string>",
"channelId": "<string>",
"channelName": "<string>",
"channelType": "WHOLESALE"
}Authorizations
Access token from POST /v2/oauth2/token, requested with an API credential. See https://api-docs.quivo.co/api-reference/authentication.
Response
Returns confirmation of the order attachments refetch operation from the source system.
Complete order information including attached files and documents. Extends OrderDetail with attachment metadata and references.